listen_addresses = '*'		# what IP address(es) to listen on; 
port = 5432
max_connections = 4000
unix_socket_directory = '/tmp'
ssl = off
shared_buffers=7000MB
temp_buffers = 2000			# min 100, 8KB each
max_prepared_transactions = 1000	# can be 0 or more
work_mem=200MB 
maintenance_work_mem = 1025MB
vacuum_cost_delay = 50			# 0-1000 milliseconds
bgwriter_delay = 200ms                  # 10-10000ms between rounds
bgwriter_lru_maxpages=100               # 0-1000 buffers max written/round
fsync = on				# turns forced synchronization on or off
wal_sync_method = fdatasync		# the default is the first option 
full_page_writes = off			# recover from partial page writes
wal_buffers = 2500			# 
commit_delay = 10			# range 0-100000, in microseconds
checkpoint_segments = 256		# in logfile segments, min 1, 16MB each
checkpoint_timeout = 300		# range 30-3600, in seconds
checkpoint_warning = 99		        # in seconds, 0 is off
enable_seqscan = off
random_page_cost = 1.5                  # database will be largely cached in memory
cpu_tuple_cost = 0.001                  # many cpus
cpu_index_tuple_cost = 0.0005          
cpu_operator_cost = 0.00025         
effective_cache_size = 40GB             #lots of ram available for caching
default_statistics_target = 100		# range 1-1000
log_min_duration_statement = 1500	# -1 is disabled, 0 logs all statements
					# and their durations, in milliseconds.
log_statement = 'none'			# none, mod, ddl, all
default_transaction_isolation = 'read committed'
lc_messages = 'C'			# locale for system error message 
lc_monetary = 'C'			# locale for monetary formatting
lc_numeric = 'C'			# locale for number formatting
lc_time = 'C'				# locale for time formatting
deadlock_timeout = 1000		        # in milliseconds
